ReportDefinitions
Search ReportDefinitions
Search and list ReportDefinition records with filtering, sorting, and pagination.
GET
Search ReportDefinitions
A saved self-service report: a ReportQuery JSON document plus a visualization. Use report_catalog to discover fields, report_query to test a query before saving it, and report_run to execute a saved report.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the ReportDefinition-List role.Query Parameters
Pagination & Sorting
Filters
Filter by visualization type (table, number, bar, line, area, pie); derived from VisualizationJson on save.
Filter by reportQuery JSON document (version 1). Use report_catalog to discover entities and field paths and report_query to test the query before saving..
Filter by visualizationDocument JSON: { “type”: “table|number|bar|line|area|pie”, “settings”: { … } }.
Filter by visible to every user of the business; when false only the owner sees it.
Range Filters
Filter by uTC time the report was last run greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by uTC time the report was last run less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Code Examples
Simple listing
Filtering by Name
Range filters
Response
200
The list of ReportDefinition records matching the query. See the Get one ReportDefinition endpoint for the full list of properties returned for each record.
Example Response